Package be.e_contract.ejsf.component.jmsinfo

# Class RemoveEvent

java.lang.Object
java.util.EventObject
javax.faces.event.FacesEvent
javax.faces.event.BehaviorEvent
javax.faces.event.AjaxBehaviorEvent
org.primefaces.event.AbstractAjaxBehaviorEvent
be.e_contract.ejsf.component.jmsinfo.RemoveEvent

All Implemented Interfaces:
  `Serializable`

public class RemoveEvent extends org.primefaces.event.AbstractAjaxBehaviorEvent

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NAME`

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`RemoveEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior, String messageId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMessageId()`

### Methods inherited from class org.primefaces.event.AbstractAjaxBehaviorEvent

`isAppropriateListener, processListener`

### Methods inherited from class javax.faces.event.BehaviorEvent

`getBehavior`

### Methods inherited from class javax.faces.event.FacesEvent

`getComponent, getFacesContext, getPhaseId, queue, setPhaseId`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### NAME

public static final String NAME

See Also:
  - Constant Field Values

## Constructor Details

### RemoveEvent

public RemoveEvent(javax.faces.component.UIComponent component, javax.faces.component.behavior.Behavior behavior, String messageId)

## Method Details

### getMessageId

public String getMessageId()